MMAKEIMG(1)

NAME
mMakeImg - Generate synthetic FITS images

SYNOPSIS
mMakeImg [-d level] [-n noise_level] [-b bg1 bg2 bg3 bg4] [-t tbl col width epoch mag] template.hdr out.fits

DESCRIPTION
Generates synthetic FITS images, with varying levels of noise, from a table of provided point sources. Each source is treated independently and its flux is distributed on a source-specific point-spread function.

OPTIONS

-d level
    Turns on debugging to the specified level (1-4).

-n noise_level
    Specified random noise equal to noise_level will be added to image background.

-b bg1 bg2 bg3 bg4
    Specifies the four corners for a 'tilted' background for the image. Each value is a floating point number specifying the background height at the corner.

-f  Use uniform flat disk for sources rather than gaussians.

-r  Replace pixel values rather than adding to them.

-t tbl col width epoch mag
    Specifies a table of sources to be added to the raw image. tbl is the table filename, col is the column name which contains the source fluxes, width is a floating point number determining the point spread of each source, epoch is the coordinate system reference year, and mag is the reference magnitude of the source list. In addition, the source table should have ra and dec columns for the image positions. Several input tables can be specified if desired through repeated use of the -t flag and arguments.

ARGUMENTS

template.hdr
    FITS header template, used to indicate the desired parameters of the output image

out.fits
    Path of FITS image to be generated.

RESULT
Synthetic FITS output image; sources in image will represent the values from the input table(s).

MESSAGES

OK  [struct stat="OK"]

ERROR
    Can't open table table tbl

ERROR
    Can't find lon, lat columns

ERROR
    Can't find flux/magnitude column 'col'

ERROR
    Template file [template.hdr] not found

ERROR
    Output wcsinit() failed. Exiting.

ERROR
    FITS library error

EXAMPLES

$ mMakeImg -n 0.01 -b 0 1.0 1.0 0 -t sources.tbl J_MAG 5.0 2000 10.0 template.hdr out.fits
    [struct stat="OK"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.